@font-face {
  font-family: "FontAwesome";
  font-weight: normal;
  font-display: auto;
  font-style: normal;
  src: url("../fonts/fontawesome-webfont.woff2") format("woff2"),
    url("../fonts/fontawesome-webfont.woff") format("woff"),
    url("../fonts/fontawesome-webfont.svg") format("svg"),
    url("../fonts/fontawesome-webfont.ttf") format("ttf"),
    url("../fonts/fontawesome-webfont.eot") format("eot"),
    url("../fonts/FontAwesome.otf") format("otf");
}

// COLORS
$c1: #444444;
$c2: #9d9b9a;
$c3: #fff;
$trans: transparent;

// BREAKPOINTS
$brp1: 1280px;
$brp2: 1000px;
$brp3: 768px;
$brp4: 480px;

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "FontAwesome", sans-serif;
}

img {
  width: 100%;
  height: auto;
}

body {
  width: 100%;
  margin: 0 0;
  background-image: url(../images/bg01.png);
  background-color: #eeeeee;

  .landing {
    width: 100%;
    padding: 0 11%;
    margin: 0 auto;

    nav {
      background: $trans;


      div {
        display: none;

        @media screen and (max-width: $brp2) {
          display: flex;
          text-align: right;
          padding: 10px 15px;
          color: #fff;
          font-size: 24px;
          cursor: pointer;
          justify-content: space-between;
          align-items: center;

          img {
            max-width: 193px;
          }
        }


        .fa {
          @media screen and (max-width: $brp3) {
            font-size: 40px;
          }
        }
      }

      ul {
        margin: 0px;
        padding: 0px;
        list-style: none;
        text-align: right;
        display: flex;
        justify-content: flex-end;
        align-items: center;
        padding: 5% 0px;
        position: relative;

        @media screen and (max-width: $brp2) {
          text-align: center;

          flex-direction: column;

        }

        img {
          max-width: 300px;
          position: absolute;
          max-width: 300px;
          left: 0;

          @media screen and (max-width: $brp2) {
            display: none;

          }
        }

        @media screen and (max-width: $brp2) {
          display: none;
          background: $trans;
        }

        li {
          display: inline-block;
          cursor: pointer;
          padding: 0% 0%;

          @media screen and (max-width: $brp3) {
            width: 100%;
            text-align: center;
            padding: 0px;
          }

          i {
            color: #fff;
            float: right;
            padding-left: 10px;
            padding-top: 0px;
          }

          a {

            color: $c1;
            text-decoration: none;
            display: block;
            padding: 16px;
            font-size: 1.1vw;
            font-weight: 700;



            @media screen and (max-width: $brp2) {
              font-size: 2.2vw;
            }

            @media screen and (max-width: $brp3) {
              font-size: 5.2vw;
            }

            &:hover {
              background: $c1;
              color: $c3;
              border-radius: 10px;

            }
          }


        }
      }

      .drop .fa-sort-desc {
        @media screen and (max-width: $brp3) {
          display: none;
        }
      }

      .fa-bars:before {
        color: $c1;
      }
    }

    .logo {
      max-width: 200px;
    }

    .sect2 {
      display: grid;
      grid-template-columns: 60% 40%;
      grid-template-rows: 1fr;
      background-color: $c3;
      border-radius: 5px;

      @media screen and (max-width: $brp3) {
        grid-template-columns: 100%;
      }

      .descript {
        h1 {
          padding: 7% 9% 2% 9%;
          font-size: 3vw;
          color: $c1;

          @media screen and (max-width: $brp3) {
            font-size: 5vw;
          }
        }

        h2 {
          padding: 7% 9% 7% 9%;
          font-size: 2.6vw;
          color: #9d9b9a;
          font-weight: 100;

          @media screen and (max-width: $brp3) {
            font-size: 4vw;
          }
        }
      }

      .container-cta {
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        gap: 5%;

        @media screen and (max-width: $brp3) {
          margin-bottom: 7%;
        }

        .btn1 {
          border-radius: 4px;
          background-color: #5ca1e1;
          border: none;
          color: #fff;
          text-align: left;
          font-size: 2.2vw;
          padding: 3% 5%;
          width: 77%;
          transition: all 0.5s;
          cursor: pointer;
          display: inline-block;
          position: relative;
          font-weight: bold;

          @media screen and (max-width: $brp3) {
            margin: 3%;
          }

          @media screen and (max-width: $brp3) {
            font-size: 4vw;
          }
        }

        .btn1::after {
          content: url(../images/arrow-white.png);
          transform: translate(-50%, -50%);
          position: absolute;
          opacity: 0;
          top: 50%;
          right: -20px;
          transition: 0.5s;
        }

        .btn1:hover {
          padding-right: 24px;
          padding-left: 8px;
          background-color: #0f2233;
        }

        .btn1:hover:after {
          opacity: 1;
          right: 10px;
        }

        .btn2 {
          border-radius: 4px;
          background-color: #f2f2f2;
          border: none;
          color: $c1;
          text-align: left;
          font-size: 2.2vw;
          padding: 3% 5%;
          width: 77%;
          transition: all 0.5s;
          cursor: pointer;
          display: inline-block;
          position: relative;
          font-weight: bold;

          @media screen and (max-width: $brp3) {
            font-size: 4vw;
          }
        }

        .btn2::after {
          content: url(../images/question.png);
          transform: translate(-50%, -50%);
          position: absolute;
          opacity: 0;
          top: 50%;
          right: -20px;
          transition: 0.5s;
        }

        .btn2:hover {
          padding-right: 24px;
          padding-left: 8px;
          background-color: #6b6b6b;
          color: $c3;
        }

        .btn2:hover:after {
          opacity: 1;
          right: 10px;
        }
      }
    }
  }

  .sect3 {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 3%;
    padding-top: 4%;
    margin-bottom: 4%;

    @media screen and (max-width: $brp3) {
      flex-direction: column;
    }

    .card {
      border-radius: 10px;
      background-color: $c3;
      position: relative;
      user-select: none;
      cursor: pointer;

      @media screen and (max-width: $brp3) {
        margin-bottom: 7%;
      }

      .img-card {
        position: relative;

        img {
          position: relative;
          border-radius: 10px 10px 0 0;
        }

        .title-image {
          position: absolute;
          bottom: 4%;
          left: 3%;
          font-size: 1.6vw;
          color: $c3;
          font-weight: bolder;

          @media screen and (max-width: $brp3) {
            font-size: 5vw;
          }
        }
      }

      .subtitle {
        padding: 1% 3%;
        font-size: 1.2vw;
        font-weight: bold;
        color: $c1;

        @media screen and (max-width: $brp3) {
          font-size: 4.5vw;
        }
      }

      .description {
        padding: 1% 3%;
        font-size: 1.2vw;
        line-height: 50px;
        padding: 1% 3% 10%;
        color: $c2;

        @media screen and (max-width: $brp3) {
          font-size: 4.2vw;
        }
      }
    }

    .card:hover {
      transform: scale(1.1);
    }
  }

  #sect4 {
    background-color: $c3;

    .sect4 {
      display: grid;
      grid-template-columns: 30.5% 69.5%;
      grid-template-rows: 1fr;
      margin: 0 auto;
      padding: 2% 11%;

      @media screen and (max-width: $brp3) {
        grid-template-columns: 100%;
      }

      .item1 {
        .title {
          font-size: 1.6vw;
          padding: 8% 0%;

          @media screen and (max-width: $brp3) {
            font-size: 5vw;
          }
        }

        .gallery {
          display: grid;
          grid-template-columns: repeat(2, 1fr);
          grid-template-rows: repeat(2, 1fr);
          grid-column-gap: 3%;
          grid-row-gap: 5%;

          img {
            border-radius: 13px;
            cursor: pointer;
          }

          img:hover {
            transform: scale(1.1);
          }
        }

        .container-btn {
          margin-top: 14%;
          display: flex;
          align-items: center;

          @media screen and (max-width: $brp3) {
            justify-content: center;
          }

          .btn3 {
            border-radius: 4px;
            background-color: #5ca1e1;
            border: none;
            color: #fff;
            text-align: center;
            font-size: 2vw;
            padding: 3% 5%;
            width: 50%;
            transition: all 0.5s;
            cursor: pointer;
            display: flex;
            position: relative;
            align-items: center;
            gap: 12%;
            transition: background-color 2s ease-out 100ms;

            &:hover {
              background-color: #122536;
            }

            img {
              max-width: 30px;
            }

            @media screen and (max-width: $brp3) {
              font-size: 4vw;
              width: 36%;
            }
          }
        }
      }

      .item2 {
        padding: 0 6%;

        @media screen and (max-width: $brp3) {
          padding: 0;
        }

        .title {
          font-size: 2.5vw;
          padding: 3% 0%;

          @media screen and (max-width: $brp3) {
            font-size: 5.5vw;
          }
        }

        .description {
          font-size: 1.5vw;
          line-height: 50px;
          color: $c2;

          @media screen and (max-width: $brp2) {
            line-height: 30px;
          }

          @media screen and (max-width: $brp3) {
            font-size: 4vw;
            line-height: 34px;
          }
        }

        .container-btn {
          margin-top: 4%;
          padding-bottom: 9%;

          @media screen and (max-width: $brp3) {
            display: flex;
            justify-content: center;
            align-items: center;
          }

          .button {
            min-width: 190px;
            min-height: 40px;
            font-size: 1.8vw;
            font-weight: 700;
            color: #fff;
            background: #5ca1e1;           
            border: none;
            border-radius: 5px;
            transition: all 0.3s ease-in-out 0s;
            cursor: pointer;
            outline: none;
            position: relative;
            padding: 10px;
            font-family: "FontAwesome", sans-serif;
            @media screen and (max-width: $brp3) {
              font-size: 4vw;
            }
          }

          button::before {
            content: '';
            border-radius: 5px;
            min-width: calc(190px + 12px);
            min-height: calc(40px + 12px);
            box-shadow: 0 0 60px rgba(0, 255, 203, .64);
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            opacity: 0;
            transition: all .3s ease-in-out 0s;
          }

          .button:hover,
          .button:focus {
            color: #313133;
            transform: translateY(-6px);
          }

          button:hover::before,
          button:focus::before {
            opacity: 1;
          }

          button::after {
            content: '';
            min-width: 190px;
            min-height: 40px;
            font-size: 1.5vw;
            position: absolute;
            z-index: -1;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
          }

          button:hover::after,
          button:focus::after {
            animation: none;
            display: none;
          }

          @keyframes ring {
            0% {
              width: 30px;
              height: 30px;
              opacity: 1;
            }

            100% {
              width: 300px;
              height: 300px;
              opacity: 0;
            }
          }
        }
      }
    }
  }

  .container-foot {
    width: 100%;
    margin: 0 auto;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: 1fr;
    grid-column-gap: 0px;
    grid-row-gap: 0px;
    padding: 6% 11% 3%;

    @media screen and (max-width: $brp3) {
      grid-template-columns: 100%;
    }

    .column {
      display: flex;
      flex-direction: column;
      justify-content: initial;
      align-items: flex-start;

      @media screen and (max-width: $brp3) {
        justify-content: center;
        align-items: center;
      }

      .title {
        font-size: 1.5vw;
        font-weight: bold;
        color: $c1;
        padding-bottom: 8%;

        @media screen and (max-width: $brp3) {
          font-size: 4vw;
          padding-bottom: 3%;
          padding-top: 3%;
        }
      }

      .container-items {
        line-height: 45px;

        @media screen and (max-width: $brp3) {
          display: flex;
          flex-direction: column;
          justify-content: center;
          align-items: center;
        }

        .social-media {
          display: flex;
          justify-content: center;
          align-items: flex-start;

          img {
            max-width: 50px;
            padding: 3%;
            cursor: pointer;

            &:hover {
              filter: brightness(0.5);
            }
          }
        }

        .item {
          font-size: 1.1vw;
          color: #9d9b9a;
          text-decoration: underline;
          cursor: pointer;

          @media screen and (max-width: $brp3) {
            font-size: 4vw;
          }
        }

        .item:hover {
          color: $c1;
        }
      }
    }
  }

  .copy {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 0.8vw;
    color: $c1;
    padding: 2%;

    @media screen and (max-width: $brp3) {
      font-size: 3.8vw;
    }
  }
}